Loading...
Searching...
No Matches
field_rdof_sliced_base< FieldRdof >

## Detailed Description

template<class FieldRdof>
class rheolef::details::field_rdof_sliced_base< FieldRdof >

Definition at line 115 of file field_wdof_sliced.h.

Inheritance diagram for field_rdof_sliced_base< FieldRdof >:

## Public Types

using | size_type = typename FieldRdof::size_type
using | scalar_type = typename FieldRdof::scalar_type
using | memory_type = typename FieldRdof::memory_type
using | float_type = typename float_traits< scalar_type >::type
using | geo_type = typename FieldRdof::geo_type
using | space_type = typename FieldRdof::space_type
using | space_constitution_type = space_constitution< float_type, memory_type >

## Public Member Functions

| field_rdof_sliced_base ()
| field_rdof_sliced_base (const FieldRdof &uh, size_type i_comp)
const space_constitution_type & | get_constitution () const
const distributor & | ownership () const
const communicator & | comm () const
const geo_type & | get_geo () const
const space_type & | get_space () const
size_type | ndof () const
size_type | dis_ndof () const
size_type | _shift (const FieldRdof &uh) const
size_type | _increment (const FieldRdof &uh) const

## Protected Attributes

space_type | _Vi
size_type | _i_comp

## Member Typedef Documentation

## size_type

template<class FieldRdof >

using size_type = typename FieldRdof::size_type

Definition at line 119 of file field_wdof_sliced.h.

## scalar_type

template<class FieldRdof >

using scalar_type = typename FieldRdof::scalar_type

Definition at line 120 of file field_wdof_sliced.h.

## memory_type

template<class FieldRdof >

using memory_type = typename FieldRdof::memory_type

Definition at line 121 of file field_wdof_sliced.h.

## float_type

template<class FieldRdof >

using float_type = typename float_traits<scalar_type>::type

Definition at line 122 of file field_wdof_sliced.h.

## geo_type

template<class FieldRdof >

using geo_type = typename FieldRdof::geo_type

Definition at line 123 of file field_wdof_sliced.h.

## space_type

template<class FieldRdof >

using space_type = typename FieldRdof::space_type

Definition at line 124 of file field_wdof_sliced.h.

## space_constitution_type

template<class FieldRdof >

using space_constitution_type = space_constitution<float_type,memory_type>

Definition at line 125 of file field_wdof_sliced.h.

## Constructor & Destructor Documentation

## field_rdof_sliced_base() [1/2]

template<class FieldRdof >

field_rdof_sliced_base | ( |  | ) |

Definition at line 129 of file field_wdof_sliced.h.

## field_rdof_sliced_base() [2/2]

template<class FieldRdof >

field_rdof_sliced_base | ( | const FieldRdof & | uh,
|  | size_type | i_comp
| ) |  |

Definition at line 155 of file field_wdof_sliced.h.

## Member Function Documentation

## get_constitution()

template<class FieldRdof >

const space_constitution_type & get_constitution | ( |  | ) | const

Definition at line 134 of file field_wdof_sliced.h.

## ownership()

template<class FieldRdof >

const distributor & ownership | ( |  | ) | const

Definition at line 139 of file field_wdof_sliced.h.

## comm()

template<class FieldRdof >

const communicator & comm | ( |  | ) | const

Definition at line 140 of file field_wdof_sliced.h.

## get_geo()

template<class FieldRdof >

const geo_type & get_geo | ( |  | ) | const

Definition at line 141 of file field_wdof_sliced.h.

## get_space()

template<class FieldRdof >

const space_type & get_space | ( |  | ) | const

Definition at line 142 of file field_wdof_sliced.h.

## ndof()

template<class FieldRdof >

size_type ndof | ( |  | ) | const

Definition at line 143 of file field_wdof_sliced.h.

## dis_ndof()

template<class FieldRdof >

size_type dis_ndof | ( |  | ) | const

Definition at line 144 of file field_wdof_sliced.h.

## _shift()

template<class FieldRdof >

field_rdof_sliced_base< FieldRdof >::size_type _shift | ( | const FieldRdof & | uh | ) | const

Definition at line 173 of file field_wdof_sliced.h.

## _increment()

template<class FieldRdof >

field_rdof_sliced_base< FieldRdof >::size_type _increment | ( | const FieldRdof & | uh | ) | const

Definition at line 187 of file field_wdof_sliced.h.

## Member Data Documentation

## _Vi

template<class FieldRdof >

space_type _Vi

protected

Definition at line 151 of file field_wdof_sliced.h.

## _i_comp

template<class FieldRdof >

size_type _i_comp

protected

Definition at line 152 of file field_wdof_sliced.h.

The documentation for this class was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field_wdof_sliced.h